Package org.lwjgl.util.vector

# Interface ReadableVector4f

All Superinterfaces:
  `ReadableVector`, `ReadableVector2f`, `ReadableVector3f`

All Known Implementing Classes:
  `Quaternion`, `Vector4f`

public interface ReadableVector4f extends ReadableVector3f

Author:
  foo

## Method Summary

Modifier and Type
Method
Description
`float`
`getW()`

### Methods inherited from interface org.lwjgl.util.vector.ReadableVector

`length, lengthSquared, store`

### Methods inherited from interface org.lwjgl.util.vector.ReadableVector2f

`getX, getY`

### Methods inherited from interface org.lwjgl.util.vector.ReadableVector3f

`getZ`

## Method Details

### getW

float getW()

Returns:
  w